Bug 1717997 - Bad indendation in web-allow-production network policy example YAML
Summary: Bad indendation in web-allow-production network policy example YAML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-06 15:54 UTC by Samuel Padgett
Modified: 2019-06-26 08:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the web console NetworkPolicy YAML template `web-allow-production` had incorrect indentation, preventing it from being created successfully. The indentation has been fixed, and the YAML template now works without modification.
Clone Of:
Environment:
Last Closed: 2019-06-26 08:50:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1589 None None None 2019-06-26 08:51:05 UTC

Description Samuel Padgett 2019-06-06 15:54:03 UTC
One of the network policy examples has incorrect indentation in its YAML. See fix in

https://github.com/openshift/console/pull/1603

Comment 2 Yadan Pei 2019-06-21 02:25:00 UTC
Network Policy example 'web-allow-production' has correct indentation

apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: web-allow-production
  namespace: yapei1
spec:
  podSelector:
    matchLabels:
      app: web
  ingress:
    - from:
        - namespaceSelector:
            matchLabels:
              env: production


Verified on 4.1.0-0.nightly-2019-06-20-015058

Comment 4 errata-xmlrpc 2019-06-26 08:50:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1589


Note You need to log in before you can comment on or make changes to this bug.